
***************************************
* This do-file reproduces the results of "Genetic Distance, Trade, and the
* Diffuusion of Development" by Vincenzo Bove and Gunes Gokmen, forthcoming
* in the Journal of Applied Econometrics.
* January 2018
***************************************

***********************************************************************************************************************************************************************************************
***************************************
* Table 1: Genetic Distance Relative to the US and Income Differences
***************************************
*column 1*
cluster2 incomedifference Gen_dist_ij_rel_to_US if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 2*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 3*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig abslatdiff abslondiff numislands numlandlocked logabsdiff_elevation logabsdiff_coast if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 4*
ivreg2 incomedifference (Gen_dist_ij_rel_to_US=gen_dist_ij_rel_to_1500) logdistw contig abslatdiff abslondiff numislands numlandlocked logabsdiff_elevation logabsdiff_coast if year==2000 & logimport_ij_rel_to_US!=.

*column 5*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig abslatdiff abslondiff  numislands numlandlocked logabsdiff_elevation logabsdiff_coast polar_absdif boreal_absdif temp_desert_absdif tropicdesert_absdif dry_absdif wet_absdif subtropics_absdif tropic_absdif if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 6*
cluster2 incomedifference Gen_dist_ij_rel_to_US rel_dist_ij_rel_to_US ling_dist_ij_rel_to_US logdistw contig abslatdiff abslondiff numislands numlandlocked logabsdiff_elevation logabsdiff_coast if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 7*
cluster2 incomedifference Gen_dist_ij_rel_to_US rel_dist_ij_rel_to_US ling_dist_ij_rel_to_US logdistw contig colony abslatdiff abslondiff  numislands numlandlocked logabsdiff_elevation logabsdiff_coast if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)
***********************************************************************************************************************************************************************************************



***********************************************************************************************************************************************************************************************
***************************************
* Table 2: Genetic Distance Relative to the US and Income Differences over Time
***************************************
*** Top Panel
*column 1*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1950 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 2*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1955 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 3*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1965 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 4*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1975 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 5*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1985 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 6*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1995 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 7
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==2005 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)
***************************************

*** Bottom Panel, holding the sample constant to 1950 countries
*column 1*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1950 & logimport_ij_rel_to_US!=. & regsample1950==1 , fcluster(ccodea) tcluster(ccodeb)

*column 2*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1955 & logimport_ij_rel_to_US!=. & regsample1950==1 , fcluster(ccodea) tcluster(ccodeb)

*column 3*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1965 & logimport_ij_rel_to_US!=. & regsample1950==1 , fcluster(ccodea) tcluster(ccodeb)

*column 4*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1975 & logimport_ij_rel_to_US!=. & regsample1950==1 , fcluster(ccodea) tcluster(ccodeb)

*column 5*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1985 & logimport_ij_rel_to_US!=. & regsample1950==1 , fcluster(ccodea) tcluster(ccodeb)

*column 6*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==1995 & logimport_ij_rel_to_US!=. & regsample1950==1 , fcluster(ccodea) tcluster(ccodeb)

*column 7
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig if year==2005 & logimport_ij_rel_to_US!=. & regsample1950==1 , fcluster(ccodea) tcluster(ccodeb)
***********************************************************************************************************************************************************************************************



***********************************************************************************************************************************************************************************************
***************************************
* Table 3: Genetic Distance Relative to the US and Income Differences, Adding Dyadic Trade Controls
***************************************
*column 1*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 2*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg  if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 3*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg colony if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 4*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg colony rta if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 5*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg colony rta bothgatt   if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 6*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg colony rta bothgatt comcur if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 7*
cluster2 incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg colony rta bothgatt comcur gsp  if year==2000 & logimport_ij_rel_to_US!=., fcluster(ccodea) tcluster(ccodeb)

*column 8*
reghdfe incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg colony rta bothgatt comcur gsp  if year==2000 & logimport_ij_rel_to_US!=., absorb(ccodea ccodeb) vce(cluster ccodea ccodeb)
***********************************************************************************************************************************************************************************************


***********************************************************************************************************************************************************************************************
***************************************
* Table 4: Genetic Distance, Trade and Income Differences
***************************************
*column 1*
reg logimport genetic_distance_weighted logdistw contig comlang_off comleg colony rta bothgatt comcur gsp if iso3_o=="USA" & year==2000 & loggdppc!=., vce(robust)

*column 2*
reg loggdppc genetic_distance_weighted logdistw contig comlang_off comleg colony rta bothgatt comcur gsp if iso3_o=="USA" & year==2000 & logimport!=., vce(robust)

*column 3*
reg loggdppc logimport logdistw contig comlang_off comleg colony rta bothgatt comcur gsp if iso3_o=="USA" & year==2000 & genetic_distance_weighted!=. & logimport!=., vce(robust)

*column 4*
reg loggdppc genetic_distance_weighted logimport logdistw contig comlang_off comleg colony rta bothgatt comcur gsp if iso3_o=="USA" & year==2000 & logimport!=., vce(robust)

*column 5*
reghdfe logimport_ij_rel_to_US Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg colony rta bothgatt comcur gsp if year==2000 & incomedifference!=., absorb(ccodea ccodeb) vce(cluster ccodea ccodeb)

*column 6*
reghdfe incomedifference Gen_dist_ij_rel_to_US logdistw contig comlang_off comleg colony rta bothgatt comcur gsp if year==2000 & Gen_dist_ij_rel_to_US!=. & logimport_ij_rel_to_US!=., absorb(ccodea ccodeb) vce(cluster ccodea ccodeb)

*column 7*
reghdfe incomedifference logimport_ij_rel_to_US logdistw contig comlang_off comleg colony rta bothgatt comcur gsp if year==2000 & Gen_dist_ij_rel_to_US!=. & logimport_ij_rel_to_US!=., absorb(ccodea ccodeb) vce(cluster ccodea ccodeb)

*column 8*
reghdfe incomedifference Gen_dist_ij_rel_to_US logimport_ij_rel_to_US logdistw contig comlang_off comleg colony rta bothgatt comcur gsp if year==2000, absorb(ccodea ccodeb) vce(cluster ccodea ccodeb)
***********************************************************************************************************************************************************************************************

* END HERE

